from TW.API import *
import Interface

class ILogService(SEF.IService):
    """ Basic LogService for use with Components"""
    
    def debug(self,sender,message):
        """send debug message"""
	
    def warn(self,sender,message):
        """send debug message"""
	
    def error(self,sender,message):
        """send debug message"""
	
    def info(self,sender,message):
        """send debug message"""
	
class ILogClient(Interface.Base):
    """Basic Log Interface for Components"""
    
    log = Interface.Attribute(""" all components have an attribute log """)
    
class ILogTarget(Interface.Base):
    """Basic Interface for LogTarget"""
    
    def open(self,fname=None):
        """open log target"""
	
    def write(self,priority,data):
        """write to target"""
	
    def close(self):
        """close target"""
