# A SyslogTarget

from TW.API import *
import Interfaces
import syslog

import Logging

__all__ = ['LogTarget',]

PRIORITY_TRANSLATE = {Logging.MSG_DEBUG: syslog.LOG_DEBUG, 
					  Logging.MSG_WARN:  syslog.LOG_WARNING,
					  Logging.MSG_ERROR: syslog.LOG_ERR,
					  Logging.MSG_INFO:  syslog.LOG_INFO,
					  }


class LogTarget:

	def open(self,fname=None):
		pass

	def write(self,priority, data):
		syslog.syslog(PRIORITY_TRANSLATE[priority],data)

	def close(self):
		pass
	
setupModule()
